Bug 201934 - graphics/apngasm: convert to system libzopfli
Summary: graphics/apngasm: convert to system libzopfli
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords: feature, patch
Depends on: 201894
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 04:28 UTC by Jan Beich
Modified: 2015-08-16 15:51 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
v1 (1.79 KB, patch)
2015-07-28 04:28 UTC, Jan Beich
no flags Details | Diff
84amd64 poudriere bulk -t log (17.46 KB, text/plain)
2015-07-28 04:32 UTC, Jan Beich
no flags Details
93i386 poudriere bulk -t log (DOCS=off STATIC=on) (17.55 KB, text/plain)
2015-07-28 04:36 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-07-28 04:28:25 UTC
Created attachment 159321 [details]
v1

Adopt to libzopfli being available in archivers/zopfli once bug 201894 lands. Example rationale:
https://www.freebsd.org/doc/en/books/porters-handbook/bundled-libs.html
Comment 1 Jan Beich freebsd_committer 2015-07-28 04:32:01 UTC
Created attachment 159322 [details]
84amd64 poudriere bulk -t log
Comment 2 Jan Beich freebsd_committer 2015-07-28 04:36:21 UTC
Created attachment 159323 [details]
93i386 poudriere bulk -t log (DOCS=off STATIC=on)
Comment 3 Jan Beich freebsd_committer 2015-08-15 04:28:21 UTC
Maintainer timeout?
Comment 4 Danilo Egea Gondolfo freebsd_committer 2015-08-15 18:31:51 UTC
I was waiting 201894 be committed...
Comment 5 commit-hook freebsd_committer 2015-08-16 15:49:00 UTC
A commit references this bug:

Author: danilo
Date: Sun Aug 16 15:48:17 UTC 2015
New revision: 394412
URL: https://svnweb.freebsd.org/changeset/ports/394412

Log:
  - Convert to system libzopfli

  PR:		201934
  Submitted by:	jbeich

Changes:
  head/graphics/apngasm/Makefile
  head/graphics/apngasm/files/patch-Makefile